// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'dart:convert';

class DiscountRequestModel {
  final int id;
  final String name;
  final String description;
  final int value;

  DiscountRequestModel(
      {required this.id,
      required this.name,
      required this.description,
      required this.value});

  Map<String, dynamic> toMap() {
    return <String, dynamic>{
      'id': id,
      'name': name,
      'description': description,
      'value': value,
    };
  }

  String toJson() => json.encode(toMap());
}
